import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizsupplier/` + url, ...arg)

/**
 * 供货商Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/21 10:38
 **/
export default {
	// 获取供货商分页
	bizSupplierPage(data) {
		return request('page', data, 'get')
	},
	// 提交供货商表单 edit为true时为编辑，默认为新增
	bizSupplierSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除供货商
	bizSupplierDelete(data) {
		return request('delete', data)
	},
	// 获取供货商详情
	bizSupplierDetail(data) {
		return request('detail', data, 'get')
	}
}
